# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions
Hurricane::SetCollection< Element, Compare > Class Template Reference

Hurricane Collection wrapper around a std::set. More...

Inheritance diagram for Hurricane::SetCollection< Element, Compare >:
[legend]

## Public Member Functions

| SetCollection (const ElementSet *elementSet=NULL)
Public Member Functions inherited from Hurricane::Collection< Element >
virtual | ~Collection ()
Element | getFirst () const
GenericCollection< Element > | getSubSet (const Filter< Element > &filter) const
GenericCollection< SubType > | getSubSet () const
GenericCollection< SubType > | getSubSet (const Filter< SubType > &filter) const

## Detailed Description

### template<class Element, class Compare = less<Element>>
class Hurricane::SetCollection< Element, Compare >

Hurricane Collection wrapper around a std::set.

Automatically wrap a Hurricane Collection around a stl::set.

## Constructor & Destructor Documentation

## ◆ SetCollection()

template<class Element , class Compare = less<Element>>

Hurricane::SetCollection< Element, Compare >::SetCollection | ( | const ElementSet * | elementSet = `NULL` | ) |

inline

Constructor from a STL set, the set must not be de-allocated.

The documentation for this class was generated from the following files:

- SetCollection.h
- Collection.dox